Subject: Re: [RFC 9/9] selfttest/powerpc: Add memory page migration tests

From: Anshuman Khandual <[email-masked]>
Date: Thu, 10 Mar 2016 10:35:51 +0530

On 03/10/2016 01:31 AM, Aneesh Kumar K.V wrote:
> Anshuman Khandual <[email-masked]> writes:
> 
>> > [ text/plain ]
>> > This adds two tests for memory page migration. One for normal page
>> > migration which works for both 4K or 64K base page size kernel and
>> > the other one is for huge page migration which works only on 64K
>> > base page sized 16MB huge page implemention at the PMD level.
>> >
> can you also add the test in this commit
> e66f17ff717 ("mm/hugetlb: take page table lock in follow_huge_pmd()")

Thought about it but thats kind of bit tricky. All self tests have finite
runtime. Test case in that commit has two processes which execute for ever
and try to create the race condition. We can try to run it for *some time*
looking for races instead ?